Debian Bug report logs - #546227
libstatistics-basic-perl: FTBFS (test failures)

version graph

Package: libstatistics-basic-perl; Maintainer for libstatistics-basic-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libstatistics-basic-perl is src:libstatistics-basic-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Fri, 11 Sep 2009 18:51:02 UTC

Severity: serious

Tags: confirmed

Found in version 1.6600-2

Fixed in version libstatistics-basic-perl/1.6601-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=49641

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#546227; Package libstatistics-basic-perl. (Fri, 11 Sep 2009 18:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 11 Sep 2009 18:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: submit@bugs.debian.org
Subject: libstatistics-basic-perl: FTBFS (test failures)
Date: Fri, 11 Sep 2009 21:41:32 +0300
[Message part 1 (text/plain, inline)]
Package: libstatistics-basic-perl
Version: 1.6600-2
Severity: serious

This package fails to build from source on current sid.

t/critic...........................
#   Failed test 'Test::Perl::Critic for "blib/lib/Statistics/Basic.pm"'
#   at /usr/share/perl5/Test/Perl/Critic.pm line 99.
# 
# Perl::Critic found these violations in "blib/lib/Statistics/Basic.pm":
# [Objects::ProhibitIndirectSyntax] Subroutine "new" called using indirect syntax at line 11, column 12.  (Severity: 4)
# Looks like you failed 1 test of 13.
dubious
        Test returned status 1 (wstat 256, 0x100)
DIED. FAILED test 1
        Failed 1/13 tests, 92.31% okay

Build log attached.
-- 
Niko Tyni   ntyni@debian.org
[libstatistics-basic-perl_1.6600-2_amd64.build (text/plain, attachment)]

Added tag(s) confirmed. Request was from Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com> to control@bugs.debian.org. (Sat, 12 Sep 2009 05:45:03 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://rt.cpan.org/Public/Bug/Display.html?id=49641'. Request was from Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com> to control@bugs.debian.org. (Sat, 12 Sep 2009 05:45:04 GMT) Full text and rfc822 format available.

Message sent on to Niko Tyni <ntyni@debian.org>:
Bug#546227. (Sat, 12 Sep 2009 05:45:07 GMT) Full text and rfc822 format available.

Message #12 received at 546227-submitter@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
To: Niko Tyni <ntyni@debian.org>, 546227-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#546227: libstatistics-basic-perl: FTBFS (test failures)
Date: Sat, 12 Sep 2009 07:38:29 +0200
[Message part 1 (text/plain, inline)]
tag 546227 + confirmed
forwarded 546227 http://rt.cpan.org/Public/Bug/Display.html?id=49641
thanks

Hi Niko

On Fri, Sep 11, 2009 at 09:41:32PM +0300, Niko Tyni wrote:
> Package: libstatistics-basic-perl
> Version: 1.6600-2
> Severity: serious
> 
> This package fails to build from source on current sid.
> 
> t/critic...........................
> #   Failed test 'Test::Perl::Critic for "blib/lib/Statistics/Basic.pm"'
> #   at /usr/share/perl5/Test/Perl/Critic.pm line 99.
> # 
> # Perl::Critic found these violations in "blib/lib/Statistics/Basic.pm":
> # [Objects::ProhibitIndirectSyntax] Subroutine "new" called using indirect syntax at line 11, column 12.  (Severity: 4)
> # Looks like you failed 1 test of 13.
> dubious
>         Test returned status 1 (wstat 256, 0x100)
> DIED. FAILED test 1
>         Failed 1/13 tests, 92.31% okay

I forwarded the bug to CPAN RT at
http://rt.cpan.org/Public/Bug/Display.html?id=49641

Bests
Salvatore
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#546227; Package libstatistics-basic-perl. (Sat, 12 Sep 2009 07:03:06 GMT) Full text and rfc822 format available.

Message #15 received at 546227@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 546227@bugs.debian.org, 546227-submitter@bugs.debian.org
Subject: Bug in libstatistics-basic-perl fixed in revision 43965
Date: Sat, 12 Sep 2009 07:01:45 +0000
tag 546227 + pending
thanks

Some bugs are closed in revision 43965
by Salvatore Bonaccorso (carnil-guest)

Commit message:

* Add patch ProhibitIndirectSyntax.patch to fix a Perl::Critic policy
  violation (Closes: #546227).
* Add myself to Uploaders. 




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Sat, 12 Sep 2009 07:03:08 GMT) Full text and rfc822 format available.

Message sent on to Niko Tyni <ntyni@debian.org>:
Bug#546227. (Sat, 12 Sep 2009 07:03:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#546227; Package libstatistics-basic-perl. (Sat, 12 Sep 2009 11:03:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Miller <jettero@cpan.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 12 Sep 2009 11:03:13 GMT) Full text and rfc822 format available.

Message #25 received at 546227@bugs.debian.org (full text, mbox):

From: Paul Miller <jettero@cpan.org>
To: 546227@bugs.debian.org
Subject: TEST_AUTHOR ??
Date: Sat, 12 Sep 2009 06:46:23 -0400
Why are you guys running this test?  Are you the package author?
Unset TEST_AUTHOR and you're all set.

I will fix this in two ways.  1) I'll make it so the test won't
run unless you're the test author, and then 2) I'll fix the
problem -- the problem being perl critic (they are suggestions).

-Paul

-- 
If riding in an airplane is flying, then riding in a boat is swimming.
114 jumps, 47.2 minutes of freefall, 90.4 freefall miles.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#546227; Package libstatistics-basic-perl. (Sat, 12 Sep 2009 11:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 12 Sep 2009 11:18:09 GMT) Full text and rfc822 format available.

Message #30 received at 546227@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
To: 546227@bugs.debian.org
Subject: Statistics-Basic 1.6600 FTBFS with perlcritic tests activated
Date: Sat, 12 Sep 2009 13:13:10 +0200
[Message part 1 (text/plain, inline)]
Hi Paul

On Sat, Sep 12, 2009 at 06:47:56AM -0400, Paul Miller via RT wrote:
> Why are you guys running this test?  Are you the package author?  Unset
> TEST_AUTHOR and you're all set.
> 
> I will fix this in two ways.  1) I'll make it so the test won't run
> unless you're the test author, and then 2) I'll fix the problem -- the
> problem being perl critic (they are suggestions).

No I'm clearly not the author ;-). In Debian pkg-perl team we try
always (where applicable) to activate and run all tests when packaging
it for the Distribution. Thus Niko detected this when doing a rebuild
of Statistics-Basic 1.6600. Yes I know, we can simply skip the author
tests, and we are done. I wanted anyway only forward it to you as
upstream author.

Many thanks for your fast reply and for your work
Bests
Salvatore
[signature.asc (application/pgp-signature, inline)]

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sun, 13 Sep 2009 12:51:07 GMT) Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. (Sun, 13 Sep 2009 12:51:07 GMT) Full text and rfc822 format available.

Message #35 received at 546227-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 546227-close@bugs.debian.org
Subject: Bug#546227: fixed in libstatistics-basic-perl 1.6601-1
Date: Sun, 13 Sep 2009 12:32:26 +0000
Source: libstatistics-basic-perl
Source-Version: 1.6601-1

We believe that the bug you reported is fixed in the latest version of
libstatistics-basic-perl, which is due to be installed in the Debian FTP archive:

libstatistics-basic-perl_1.6601-1.diff.gz
  to pool/main/libs/libstatistics-basic-perl/libstatistics-basic-perl_1.6601-1.diff.gz
libstatistics-basic-perl_1.6601-1.dsc
  to pool/main/libs/libstatistics-basic-perl/libstatistics-basic-perl_1.6601-1.dsc
libstatistics-basic-perl_1.6601-1_all.deb
  to pool/main/libs/libstatistics-basic-perl/libstatistics-basic-perl_1.6601-1_all.deb
libstatistics-basic-perl_1.6601.orig.tar.gz
  to pool/main/libs/libstatistics-basic-perl/libstatistics-basic-perl_1.6601.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 546227@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libstatistics-basic-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 13 Sep 2009 14:25:20 +0200
Source: libstatistics-basic-perl
Binary: libstatistics-basic-perl
Architecture: source all
Version: 1.6601-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libstatistics-basic-perl - collection of very basic statistics modules
Closes: 546227
Changes: 
 libstatistics-basic-perl (1.6601-1) unstable; urgency=low
 .
   [ Salvatore Bonaccorso ]
   * Add patch ProhibitIndirectSyntax.patch to fix a Perl::Critic policy
     violation (Closes: #546227).
   * Add myself to Uploaders.
 .
   [ gregor herrmann ]
   * New upstream release.
   * Remove patch ProhibitCommaSeparatedStatements.patch, not needed any more.
   * Don't run author tests any more on upstream request (debian/rules,
     debian/control).
Checksums-Sha1: 
 1b5a801da6377bb42c3c82d95c5b9f1fe4dd29ca 1538 libstatistics-basic-perl_1.6601-1.dsc
 bf2dae94d59d4ffedb101fe7a0c40406ac0e5c77 29414 libstatistics-basic-perl_1.6601.orig.tar.gz
 e9a2cf725f2047147f701fe2861c33fb2945011e 2241 libstatistics-basic-perl_1.6601-1.diff.gz
 1059aee20e18535f87dc99e0566f538e705c3875 72592 libstatistics-basic-perl_1.6601-1_all.deb
Checksums-Sha256: 
 d55953344c8e06e5525558d6c3826770c2cafbc2f4e7884399ce938a9c6469b9 1538 libstatistics-basic-perl_1.6601-1.dsc
 33ea1314e0e3ace8bd9f38037918f25419cbc3d68661c29d021d5b6ebdf2096c 29414 libstatistics-basic-perl_1.6601.orig.tar.gz
 9d52eff6a7c1e010ca7eca48ec1badcdfefd22381e8c211163fe6d2b8373d319 2241 libstatistics-basic-perl_1.6601-1.diff.gz
 2ee52836e3c68fa6aa159b67f55ed2023f8597bd1754a7c8c56fdb05dd5a5e0f 72592 libstatistics-basic-perl_1.6601-1_all.deb
Files: 
 6dda2e5c35ae3e199c5075a167e89ec9 1538 perl optional libstatistics-basic-perl_1.6601-1.dsc
 2950128f20ceefb9f50e10bb8f1fe2ef 29414 perl optional libstatistics-basic-perl_1.6601.orig.tar.gz
 8a7ed4f48c978fe9bb7a78031042f90c 2241 perl optional libstatistics-basic-perl_1.6601-1.diff.gz
 9e1b1f0f57dc3ba79450a5dd44815a1a 72592 perl optional libstatistics-basic-perl_1.6601-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkqs5PQACgkQOzKYnQDzz+SbFQCbBYUzf+QYdeM358qc7hUWDvLm
HPYAn3/SMPwmw8euCRuORe5x714itwOy
=XvG2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 Oct 2009 07:34:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:42:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.